Package ru.bitel.bgbilling.kernel.tariff.option.common.bean

# Class ContractTariffOptionData

java.lang.Object
ru.bitel.bgbilling.kernel.tariff.option.common.bean.ContractTariffOptionData

public class ContractTariffOptionData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffOptionData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getChargeSum()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `int`
  `getModeId()`
  `int`
  `getOptionId()`
  `Period`
  `getPeriod()`
  `boolean`
  `isWeb()`
  `ContractTariffOptionData`
  `setChargeSum(BigDecimal chargeSum)`
  `ContractTariffOptionData`
  `setComment(String comment)`
  `ContractTariffOptionData`
  `setContractId(int contractId)`
  `ContractTariffOptionData`
  `setModeId(int modeId)`
  `ContractTariffOptionData`
  `setOptionId(int optionId)`
  `ContractTariffOptionData`
  `setPeriod(Period period)`
  `ContractTariffOptionData`
  `setWeb(boolean web)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffOptionData

    public ContractTariffOptionData()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### getOptionId

    public int getOptionId()

  - ### getModeId

    public int getModeId()

  - ### getChargeSum

    public BigDecimal getChargeSum()

  - ### getPeriod

    public Period getPeriod()

  - ### getComment

    public String getComment()

  - ### isWeb

    public boolean isWeb()

  - ### setContractId

    public ContractTariffOptionData setContractId(int contractId)

  - ### setOptionId

    public ContractTariffOptionData setOptionId(int optionId)

  - ### setModeId

    public ContractTariffOptionData setModeId(int modeId)

  - ### setChargeSum

    public ContractTariffOptionData setChargeSum(BigDecimal chargeSum)

  - ### setPeriod

    public ContractTariffOptionData setPeriod(Period period)

  - ### setComment

    public ContractTariffOptionData setComment(String comment)

  - ### setWeb

    public ContractTariffOptionData setWeb(boolean web)